com.opensymphony.xwork2.validator

## Class AnnotationActionValidatorManager

- java.lang.Object
- - com.opensymphony.xwork2.validator.DefaultActionValidatorManager
  - - com.opensymphony.xwork2.validator.AnnotationActionValidatorManager

- All Implemented Interfaces:
    ActionValidatorManager

      public class AnnotationActionValidatorManager
      extends DefaultActionValidatorManager

  AnnotationActionValidatorManager is the entry point into XWork's annotations-based validator framework. Validation rules are specified as annotations within the source files.
  Author:
    Rainer Hermanns, jepjep

- - ### Field Summary

    - ### Fields inherited from class com.opensymphony.xwork2.validator.DefaultActionValidatorManager

      `fileManager, reloadingConfigs, textProviderFactory, VALIDATION_CONFIG_SUFFIX, validatorCache, validatorFactory, validatorFileCache, validatorFileParser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationActionValidatorManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<ValidatorConfig>` | `buildAliasValidatorConfigs(Class aClass, String context, boolean checkFile)`
    `protected List<ValidatorConfig>` | `buildClassValidatorConfigs(Class aClass, boolean checkFile)`
    `protected String` | `buildValidatorKey(Class clazz, String context)` Builds a key for validators - used when caching validators.

    - ### Methods inherited from class com.opensymphony.xwork2.validator.DefaultActionValidatorManager

      `buildValidatorConfigs, getValidatorFromValidatorConfig, getValidators, getValidators, loadFile, setFileManagerFactory, setReloadingConfigs, setTextProviderFactory, setValidatorFactory, setValidatorFileParser, validate, validate, validate, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationActionValidatorManager

          public AnnotationActionValidatorManager()

  - ### Method Detail

    - #### buildValidatorKey

          protected String buildValidatorKey(Class clazz,
                                             String context)

      Description copied from class: `DefaultActionValidatorManager`
      Builds a key for validators - used when caching validators.
      Overrides:
        `buildValidatorKey` in class `DefaultActionValidatorManager`
      Parameters:
        `clazz` - the action.
        `context` - context
      Returns:
        a validator key which is the class name plus context.

    - #### buildAliasValidatorConfigs

          protected List<ValidatorConfig> buildAliasValidatorConfigs(Class aClass,
                                                                     String context,
                                                                     boolean checkFile)

      Overrides:
        `buildAliasValidatorConfigs` in class `DefaultActionValidatorManager`

    - #### buildClassValidatorConfigs

          protected List<ValidatorConfig> buildClassValidatorConfigs(Class aClass,
                                                                     boolean checkFile)

      Overrides:
        `buildClassValidatorConfigs` in class `DefaultActionValidatorManager`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.